org.apache.lucene.util.fst

## Class IntsRefFSTEnum.InputOutput<T>

- java.lang.Object
- - org.apache.lucene.util.fst.IntsRefFSTEnum.InputOutput<T>

Enclosing class:
  IntsRefFSTEnum<T>

    public static class IntsRefFSTEnum.InputOutput<T>
    extends Object

Holds a single input (IntsRef) + output pair.

### Field Summary

Fields
`IntsRef` `input`
`T` `output`

### Constructor Summary

Constructors
Constructor and Description
`IntsRefFSTEnum.InputOutput()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### input

    public IntsRef input

#### output

    public T output

### Constructor Detail

#### IntsRefFSTEnum.InputOutput

    public IntsRefFSTEnum.InputOutput()